# OpalIMContext::DispositionInfo Struct Reference

`#include <im.h>`

## Data Fields

PString | m_conversationId
| Conversation ID to get OpalIMContext.
PAtomicInteger::IntegerType | m_messageId
| Id of message disposition is of.
MessageDisposition | m_disposition
| Disposition status.

## Detailed Description

Information on the message disposition.

## Field Documentation

PString OpalIMContext::DispositionInfo::m_conversationId

Conversation ID to get OpalIMContext.

MessageDisposition OpalIMContext::DispositionInfo::m_disposition

Disposition status.

PAtomicInteger::IntegerType OpalIMContext::DispositionInfo::m_messageId

Id of message disposition is of.

The documentation for this struct was generated from the following file:

- im.h